@import 'settings';
@import 'mixins';

.SlideView {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    touch-action: pinch-zoom !important;

    &__hammer {
        display: inline;
    }

    &__slider {
        position: relative;
        height: 100%;
        width: 100%;
    }

    &__item {
        position: absolute;
        z-index: 1;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    &__control {
        display: flex;
        position: absolute;
        z-index: 10;
        top: 0;
        height: 100%;
        padding: 0;
        cursor: pointer;
        color: $white;
        outline: none;
        background: transparent;
        border: 0;
        user-select: none;
        transition: color 250ms;

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }

        &:hover {
            color: $blue;
        }
    }

    &--single-item {
        .SlideView__item {
            cursor: default;
        }

        .SlideView__control {
            display: none;
        }
    }

    &--pointer-prev {
        .SlideView__item {
            cursor: pointer;
        }

        .SlideView__control--prev {
            color: $blue;
        }
    }

    &--pointer-next {
        .SlideView__item {
            cursor: pointer;
        }

        .SlideView__control--next {
            color: $blue;
        }
    }

    &--nav-disabled {
        .SlideView__item {
            cursor: default !important;
        }
    }

    // showing first item
    &.SlideView--at-start {
        &.SlideView--pointer-prev {
            .SlideView__item {
                cursor: default;
            }
        }

        .SlideView__control--prev {
            opacity: 0.3;
            color: $white;
            cursor: default;
        }
    }

    // showing last item
    &.SlideView--at-end {
        &.SlideView--pointer-next {
            .SlideView__item {
                cursor: default;
            }
        }

        .SlideView__control--next {
            opacity: 0.3;
            color: $white;
            cursor: default;
        }
    }

    // Mobile
    @media #{$mobile-only} {
        &__control {
            width: 50px;
            height: auto;
            top: 50%;
            transform: translateY(-50%);
            padding: 10px 0;
            justify-content: center;
            align-items: flex-end;
            font-size: 30px;
        }
    }

    // Tablet & up
    @media #{$tablet} {
        &__control {
            width: 90px;
            justify-content: center;
            align-items: center;
            font-size: 36px;
        }
    }

    @media #{$desktop} {
        &__control {
            width: 130px;

            &--next {
                padding-left: 40px;
                padding-right: 20px;
            }

            &--prev {
                padding-right: 40px;
            }
        }
    }
}
